<?xml version="1.0"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->
<configuration>
  <configSections>
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="Consulenza.Web.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
    </sectionGroup>
  </configSections>
  <appSettings>
    <!-- NODO1:-->
    <add key="UrlAPI" value="http://bfwskpcbe003c.sysfideuram.sysbancafideuram.it:16080/fu-app"/>
    <!--<add key="UrlAPI" value="http://BFASKPCBE003C.sysfideuram.sysbancafideuram.it:8080/fu-app/ReportManagerService?wsdl"/>-->
    <!--
    <add key="UrlAPI" value="http://BFDSPUC01T.sysfideuram.sysbancafideuram.it:8080/fu-app/ReportManagerService?wsdl"/>
    <add key="UrlAPI" value="http://bfwfpuc01.fideuram.bancafideuram.it:8080/fu-app/ReportManagerService?wsdl"/>
    <add key="UrlAPI" value="http://bfwspuc01a.fideuram.bancafideuram.it:8080/fu-app/ReportManagerService?wsdl"/>
    <add key="UrlAPI" value="http://bfwfpuc01c.fideuram.bancafideuram.it:8080/fu-app/ReportManagerService?wsdl"/>
    
    -->
    <!-- Timeout in secondi-->
    <add key="TimeoutFideuramDati" value="300"/>
    <!-- *FINE  SERVIZIO DATI.-->
  </appSettings>
  <connectionStrings>
    <add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=bfdspdc01c.sysfideuram.sysbancafideuram.it; Database=ConsulenzaUnica;User Id=F702025; Password=F7020250; Max Pool Size=10"/>
    <!--<add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=bfdspuc01.fideuram.bancafideuram.it; Database=ConsulenzaUnica;User Id=userHP; Password=userHP; Max Pool Size=10"/>-->
    <!--<add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=bfdspuc01c.sysfideuram.sysbancafideuram.it; Database=ConsulenzaUnica;User Id=userHP; Password=userHP1; Max Pool Size=10"/>-->
    <!--<add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=BFDSPUC01T.sysfideuram.sysbancafideuram.it; Database=ConsulenzaUnica;User Id=userHP; Password=userHP; Max Pool Size=10"/>-->
    <!-- 
    <add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=bfdspuc01.fideuram.bancafideuram.it; Database=ConsulenzaUnica;User Id=userHP; Password=userHP; Max Pool Size=10"/>
    <add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=BFDSPUC01T.sysfideuram.sysbancafideuram.it; Database=ConsulenzaUnica;User Id=userHP; Password=userHP1; Max Pool Size=10"/>    
    <add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=BFDSPUC01a.fideuram.bancafideuram.it; Database=ConsulenzaUnica;User Id=userHP; Password=userHP1; Max Pool Size=10" />
    <add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=bfdspuc01c.sysfideuram.sysbancafideuram.it; Database=ConsulenzaUnica;User Id=userHP; Password=userHP1; Max Pool Size=10"/>
    
    -->
  </connectionStrings>
  <!--
    For a description of web.config changes see http://go.microsoft.com/fwlink/?LinkId=235367.

    The following attributes can be set on the <httpRuntime> tag.
      <system.Web>
        <httpRuntime targetFramework="4.8" />
      </system.Web>
  -->
  <system.web>
    <httpRuntime requestValidationMode="2.0"/>
    <compilation debug="true" targetFramework="4.8"/>
    <authentication mode="Forms">
      <forms loginUrl="~/Account/Login.aspx" timeout="2880"/>
    </authentication>
    <customErrors mode="Off"/>
    <pages controlRenderingCompatibilityVersion="4.0"/>
  </system.web>
  <system.webServer>
    <modules runAllManagedModulesForAllRequests="true"/>
  </system.webServer>
  <applicationSettings>
    <Consulenza.Web.Properties.Settings>
      <setting name="Consulenza_Web_ConsulenzaBaseWS_WSProposta" serializeAs="String">
        <value>http://localhost:1399/WSProposta.asmx</value>
      </setting>
      <setting name="Consulenza_Web_ConsulenzaImmobiliareWS_WSImmobiliare"
        serializeAs="String">
        <value>http://localhost:44810/WSImmobiliare.asmx</value>
      </setting>
      <setting name="Consulenza_Web_ConsulenzaUnicaWS_ReportManager"
        serializeAs="String">
        <value>http://localhost:52280/ReportManager.asmx</value>
      </setting>
      <setting name="Consulenza_Web_VerificaProduzione_ReportManagerService"
        serializeAs="String">
        <value>http://bfwfpuc01:8080/fu-app/ReportManagerService</value>
      </setting>
    </Consulenza.Web.Properties.Settings>
  </applicationSettings>
</configuration>